<%@ Control Language="C#" AutoEventWireup="false" CodeFile="Settings.ascx.cs" Inherits="DesktopModules.Admin.HDWPlayer.Settings" %>
<%@ Register TagPrefix="dnn" TagName="cont" Src="~/DesktopModules/Admin/HDWPlayer/View.ascx"%>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.Web.UI.WebControls" Assembly="DotNetNuke.Web" %>

<%@ Register TagPrefix="dnn" TagName="URL" Src="~/controls/URLControl.ascx" %>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.Security.Permissions.Controls" Assembly="DotNetNuke" %>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke" %>
<%@ Register TagPrefix="dnn" TagName="Audit" Src="~/controls/ModuleAuditControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="ModuleLocalization" Src="~/Admin/Modules/ModuleLocalization.ascx" %>
<%@ Register TagPrefix="dnnweb" Assembly="DotNetNuke.Web" Namespace="DotNetNuke.Web.UI.WebControls" %>

 <ul class="dnnAdminTabNav dnnClear">
      <li>
       <asp:LinkButton ID="lnkTab1" runat="server" OnClick="lnkTab1_Click">Settings</asp:LinkButton>
      </li>
      <li>
        <asp:LinkButton ID="lnkTab2" runat="server" OnClick="lnkTab2_Click">Skins</asp:LinkButton>
      </li>
       <li>
      <asp:LinkButton ID="lnkTab3" runat="server" OnClick="lnkTab3_Click">Videos</asp:LinkButton>
      </li>
       <li>
      <asp:LinkButton ID="lnkTab4" runat="server" OnClick="lnkTab4_Click">Category</asp:LinkButton>
      </li>
       <li>
      <asp:LinkButton ID="lnkTab5" runat="server" OnClick="lnkTab5_Click">Gallery</asp:LinkButton>
      </li>
     
    </ul> 

<asp:MultiView ID="MultiView1" runat="server">

<asp:View ID="View1" runat="server">

<div class="dnnFormItem">
        <dnn:Label id="lname" runat="server" ControlName="llnames" ResourceKey="Width" Suffix=" :" />
		<asp:TextBox ID="width_txt" runat="server" Text="640" />
            <asp:CompareValidator ID="CompareValidator1" runat="server" ErrorMessage=" Give any integer value" ControlToValidate="width_txt" Type="Integer" Operator="DataTypeCheck" Font-Bold="true" ForeColor="Red"></asp:CompareValidator>
            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" SetFocusOnError="true"  ControlToValidate="width_txt" ErrorMessage="Please enter player's width" Font-Bold="true" ForeColor="Red"></asp:RequiredFieldValidator>
        </div>

        <div class="dnnFormItem">
        <dnn:Label id="Label1" runat="server" ControlName="llnames" ResourceKey="Height"  Suffix=" :" />
		<asp:TextBox ID="height_txt" runat="server" Text="320" />
        <asp:CompareValidator ID="CompareValidator2" runat="server" ErrorMessage=" Give any integer value" ControlToValidate="height_txt" Type="Integer" Operator="DataTypeCheck" Font-Bold="true" ForeColor="Red"></asp:CompareValidator>
         <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" SetFocusOnError="true"  ControlToValidate="height_txt" ErrorMessage="Please enter player's height" Font-Bold="true" ForeColor="Red"></asp:RequiredFieldValidator>
        </div>

        <div class="dnnFormItem">
        <dnn:label id="Label4" runat="server" ControlName="ParentTab" ResourceKey="LicenceKey" Suffix=" :" />
		<asp:TextBox ID="licence_txt" runat="server" Text="" />
        </div>

        <div class="dnnFormItem">
        <dnn:label id="Label6" runat="server" ControlName="ParentTab" ResourceKey="Logo" Suffix=" :" />
        <dnn:label id="lbl_logo1" runat="server" ControlName="ParentTab" />  
        <asp:TextBox ID="logo_txt" runat="server" Text="" />
        <asp:RegularExpressionValidator ID="RegularExpressionValidator4" runat="server" ErrorMessage="This is not a Image File please check it" ValidationExpression="^.+(.jpg|.jpeg|.gif|.png|.JPG|.JPEG|.GIF|.PNG)$" ControlToValidate="logo_txt" Font-Bold="true" ForeColor="Red"/> 
        </div>
       
        <div class="dnnFormItem">
        <dnn:label id="Label7" runat="server" ControlName="ParentTab" ResourceKey="LogoPosition" Suffix=" :" />
        <dnn:DnnComboBox ID="comb_logoposition" runat="server" AutoPostBack="false">
            <Items>
                <dnn:DnnComboBoxItem Value="topleft" Text="topleft" ResourceKey="TopLeft" />
                <dnn:DnnComboBoxItem Value="topright" Text="topright" ResourceKey="TopRight" />
                <dnn:DnnComboBoxItem Value="center" Text="center" ResourceKey="Center" />
                <dnn:DnnComboBoxItem Value="bottomleft" Text="bottomleft" ResourceKey="BottomLeft" />
                <dnn:DnnComboBoxItem Value="bottomright" Text="bottomright" ResourceKey="BottomRight" />
            </Items>
        </dnn:DnnComboBox>
        </div>

        <div class="dnnFormItem">
        <dnn:label id="Label8" runat="server" ControlName="ParentTab" ResourceKey="LogoAlpha" Suffix=" :" />
		<asp:TextBox ID="txt_logoalpha" runat="server" Text="" />
        </div>

        <div class="dnnFormItem">
        <dnn:label id="Label9" runat="server" ControlName="ParentTab" ResourceKey="LogoTarget" Suffix=" :" />
		<asp:TextBox ID="txt_logotarget" runat="server" Text="" />
        </div>

        <div class="dnnFormItem">
        <dnn:label id="Label10" runat="server" ControlName="ParentTab" ResourceKey="SkinMode" Suffix=" :" />
		<dnn:DnnComboBox ID="comb_skinmode" runat="server" AutoPostBack="false">
            <Items>
                <dnn:DnnComboBoxItem Value="float" Text="float" ResourceKey="Float" />
                <dnn:DnnComboBoxItem Value="static" Text="static" ResourceKey="Static" />   
            </Items>
        </dnn:DnnComboBox>
        </div>


        <div class="dnnFormItem">
        <dnn:label id="Label11" runat="server" ControlName="ParentTab" ResourceKey="StretchType" Suffix=" :" />
        <dnn:DnnComboBox ID="comb_stretch" runat="server" AutoPostBack="false" >
            <Items>
                <dnn:DnnComboBoxItem Value="fill" Text="fill" ResourceKey="Fill" />
                <dnn:DnnComboBoxItem Value="uniform" Text="uniform" ResourceKey="Uniform" />
                <dnn:DnnComboBoxItem Value="original" Text="original" ResourceKey="Original" />
                <dnn:DnnComboBoxItem Value="exactfit" Text="exactfit" ResourceKey="ExactFit" />
            </Items>
        </dnn:DnnComboBox>
        </div>

         <div class="dnnFormItem">
        <dnn:label id="Label12" runat="server" ControlName="ParentTab" ResourceKey="BufferTime" Suffix=" :" />
		<asp:TextBox ID="txt_buffer" runat="server" Text="3" />
             <asp:RangeValidator ID="RangeValidator1" runat="server" ErrorMessage="Please give 1 to 10" ControlToValidate="txt_buffer" MinimumValue="1" MaximumValue="10" Type="Integer" Font-Bold="true" ForeColor="Red"></asp:RangeValidator>
        </div>

         <div class="dnnFormItem">
        <dnn:label id="Label13" runat="server" ControlName="ParentTab" ResourceKey="VolumeLevel" Suffix=" :" />
		<asp:TextBox ID="txt_volume" runat="server" Text="75" />
         <asp:RangeValidator ID="RangeValidator2" runat="server" ErrorMessage="Please give 1 to 100" ControlToValidate="txt_volume" MinimumValue="1" MaximumValue="100" Type="Integer" Font-Bold="true" ForeColor="Red"></asp:RangeValidator>
        </div>

        <div class="dnnFormItem">
        <dnn:label id="Label14" runat="server" ControlName="ParentTab" ResourceKey="PlayList" Suffix=" :" />
		<asp:Checkbox ID="ck_pl" runat="server" Checked="true" />
        </div>

        <div class="dnnFormItem">
        <dnn:label id="Label15" runat="server" ControlName="ParentTab" ResourceKey="PlayListAutoPlay" Suffix=" :" />
		<asp:Checkbox ID="ck_plap" runat="server" Checked="true" />
        </div>

        <div class="dnnFormItem">
        <dnn:label id="Label16" runat="server" ControlName="ParentTab" ResourceKey="PlayListOpenbyDefault" Suffix=" :" />
	    <asp:Checkbox ID="ck_plobd" runat="server" Checked="true" />
        </div>

        <div class="dnnFormItem">
        <dnn:label id="Label17" runat="server" ControlName="ParentTab" ResourceKey="RandomPlaylist" Suffix=" :" />
		<asp:Checkbox ID="ck_rpl" runat="server" Checked="true" />
        </div>

        <div class="dnnFormItem">
        <dnn:label id="lbl_sutostart" runat="server" ControlName="ParentTab" ResourceKey="autostart" Suffix=" :" />
		<asp:Checkbox ID="ck_autostart" runat="server" Checked="true" />
        </div>

        <div class="dnnFormItem">
        <dnn:label id="lbl_gallery" runat="server" ControlName="ParentTab" ResourceKey="gallery" Suffix=" :" />
        <asp:Checkbox ID="ck_gallery" runat="server" Checked="true" />
        </div>
   
</asp:View>

<asp:View ID="View2" runat="server">

<div class="dnnFormItem">
        <dnn:label id="Label2" runat="server" ControlName="ParentTab" ResourceKey="ControlBar" Suffix=" :" />
		<asp:Checkbox ID="ck_controlbar" runat="server" Checked="true"/>
        </div>

        <div class="dnnFormItem">
        <dnn:label id="Label3" runat="server" ControlName="ParentTab" ResourceKey="PlayPause" Suffix=" :" />
		<asp:Checkbox ID="ck_playpause" runat="server" Checked="true"/>
        </div>

        <div class="dnnFormItem">
        <dnn:label id="Label5" runat="server"  ControlName="ParentTab" ResourceKey="ProgressBar" Suffix=" :" />
	    <asp:Checkbox ID="ck_progresss" runat="server" Checked="true" />
        </div>

        <div class="dnnFormItem">
        <dnn:label id="Label18" runat="server" ControlName="ParentTab" ResourceKey="Timer" Suffix=" :" />
		<asp:Checkbox ID="ck_timer" runat="server" Checked="true" />
        </div>

        <div class="dnnFormItem">
        <dnn:label id="Label19" runat="server" ControlName="ParentTab" ResourceKey="Share" Suffix=" :" />
		<asp:Checkbox ID="ck_share" runat="server" Checked="true" />
        </div>

        <div class="dnnFormItem">
        <dnn:label id="Label20" runat="server" ControlName="ParentTab" ResourceKey="Volume" Suffix=" :" />
		<asp:Checkbox ID="ck_volume" runat="server" Checked="true" />
        </div>

        <div class="dnnFormItem">
        <dnn:label id="Label21" runat="server" ControlName="ParentTab" ResourceKey="FullScreen" Suffix=" :" />
	    <asp:Checkbox ID="ck_fullscreen" runat="server" Checked="true" />
        </div>

        <div class="dnnFormItem">
        <dnn:label id="Label22" runat="server" ControlName="ParentTab" ResourceKey="PlayDock" Suffix=" :" />
		<asp:Checkbox ID="ck_playdock" runat="server" Checked="true" />
        </div>

        <div class="dnnFormItem">
        <dnn:label id="Label23" runat="server" ControlName="ParentTab" ResourceKey="PlayList" Suffix=" :" />
		<asp:Checkbox ID="ck_playlist" runat="server" Checked="true" />
        </div>

</asp:View>

<asp:View ID="View3" runat="server">                               
<div id = "View_Table" runat="server">
<asp:TextBox ID="txt_search1" runat="server" Text="" CssClass="txtbox" Width="400px" Height="20px" BorderStyle="Solid" BorderColor="#CCCCCC" />  
<asp:DropDownList ID="search_item" runat="server" CssClass="txtbox" Width="150px" Height="24px" BorderStyle="Solid" BorderColor="#CCCCCC">
    <asp:ListItem Text="Title" Value="Title">Title</asp:ListItem>
    <asp:ListItem Text="VideoType" Value="VideoList">VideoType</asp:ListItem>
    <asp:ListItem Text="Category" Value="Category">Category</asp:ListItem>
</asp:DropDownList>&nbsp&nbsp
<asp:ImageButton ID="go_btn" runat="server" ToolTip="Go" ImageUrl="~/DesktopModules/Admin/HDWPlayer/Icons/Go.png" Width="17px" Height="17px" OnClick="go_Click" />&nbsp&nbsp      
<asp:ImageButton ID="reset_btn" runat="server" ToolTip="Reset" ImageUrl="~/DesktopModules/Admin/HDWPlayer/Icons/Reset.png" Width="18px" Height="18px" OnClick="reset_Click" />
 
   <div id="c4">
     <asp:ImageButton ID="btn_upload" runat="server" ToolTip="New Video" ImageUrl="~/DesktopModules/Admin/HDWPlayer/Icons/New1.png" Width="28px" Height="28px" OnClick="Uploads_Click" />
       <asp:ImageButton ID="btn_publish" runat="server" ToolTip="Publish Videos" ImageUrl="~/DesktopModules/Admin/HDWPlayer/Icons/Publish.png" Width="30px" Height="30px" OnClick="publish_Click" />
      <asp:ImageButton ID="btn_unpublish" runat="server" ToolTip="UnPublish Videos" ImageUrl="~/DesktopModules/Admin/HDWPlayer/Icons/UnPublish.png" Width="28px" Height="28px" OnClick="unpublish_Click" />
      <asp:ImageButton ID="btn_delete" runat="server" ToolTip="Delete Videos" ImageUrl="~/DesktopModules/Admin/HDWPlayer/Icons/Delete.png" Width="27px" Height="26px" OnClick="Delete_Click" />      
</div>
<br /><br />
    <asp:GridView ID="GridView1"  CssClass="list" runat="server" DataKeyNames="SINO"
    AutoGenerateColumns="False" DataSourceID="SqlDataSource2" Height="80px" Width="100%" 
                 BackColor="#E1E1E1">
    <Columns>
     <asp:TemplateField HeaderText="#">
            <ItemTemplate>
                     <%#Container.DataItemIndex+1 %>
                </ItemTemplate>
                </asp:TemplateField>
         <asp:TemplateField HeaderText="" HeaderStyle-Width="50px">
         <HeaderTemplate>
      <asp:CheckBox ID="checkAll" runat="server" OnCheckedChanged="selectall" AutoPostBack="true"/>
    </HeaderTemplate>
         <ItemTemplate>
            <asp:CheckBox runat="server" ID="chkDelete" />
         </ItemTemplate>
<HeaderStyle Width="50px"></HeaderStyle>
      </asp:TemplateField>
        <asp:BoundField DataField="Title" HeaderText="Title" 
            SortExpression="Title" />
          <asp:BoundField DataField="VideoList" HeaderText="VideoList" 
              SortExpression="VideoList" />
        <asp:BoundField DataField="VideoURL" HeaderText="VideoURL" 
            SortExpression="VideoURL" ItemStyle-HorizontalAlign="Left" /> 
        <asp:BoundField DataField="Category" HeaderText="Category" 
            SortExpression="Category" />
          <asp:BoundField DataField="Publish" HeaderText="Publish" 
              SortExpression="Publish" />
          <asp:BoundField DataField="Description" HeaderText="Description" 
            SortExpression="Description" />
          <asp:BoundField DataField="users" HeaderText="users" SortExpression="users" />
        <asp:ImageField DataImageUrlField="thumb" HeaderText="Video Image" ControlStyle-Width="60" ControlStyle-Height = "40"></asp:ImageField>
        <asp:BoundField DataField="preview" HeaderText="preview" 
            SortExpression="preview" ItemStyle-HorizontalAlign="Left" />
        <asp:BoundField DataField="hd" HeaderText="hd" SortExpression="hd" />
        <asp:BoundField DataField="stream" HeaderText="stream" 
            SortExpression="stream" />
        <asp:BoundField DataField="token" HeaderText="token" SortExpression="token" />
        <asp:BoundField DataField="dvr" HeaderText="dvr" SortExpression="dvr" />
        <asp:TemplateField HeaderText="" HeaderStyle-Width="50px">
         <ItemTemplate>
           <asp:Button ID="btn_upda" runat="server" CssClass="ButtonAsLink" CommandName="hhh" Text="update" OnClick="Uploads1_Click"/>
         </ItemTemplate>
<HeaderStyle Width="50px"></HeaderStyle>
      </asp:TemplateField>
      <asp:BoundField DataField="SINO" SortExpression="SINO"  ><ItemStyle CssClass="hidden" /></asp:BoundField>
      </Columns>
    <HeaderStyle Height="30px" />
</asp:GridView>

            
             <asp:Label ID="err_label" runat="server" Text="" ForeColor="Red" Font-Bold="true" ></asp:Label>

</div>

<div id="upload_video" runat="server">

    <asp:TextBox ID="sino" runat="server" Visible="false"></asp:TextBox>
<div class="dnnFormItem">
<dnn:label id="Label24" runat="server" ControlName="ParentTab" ResourceKey="Title" Suffix=" :" />
<asp:TextBox ID="txt_title" runat="server" Text="" />

</div>

<div class="dnnFormItem">
        <dnn:label id="Label25" runat="server" ControlName="ParentTab" ResourceKey="VideoType" Suffix=" :" />
        <dnn:DnnComboBox ID="comb_vtype" runat="server" AutoPostBack="true" OnSelectedIndexChanged="DropDownList1_SelectedIndexChanged">
            <Items>
                <dnn:DnnComboBoxItem Value="pcvideos" Text="GeneralVideo" ResourceKey="GeneralVideo" />
                <dnn:DnnComboBoxItem Value="youtube" Text="YouTube" ResourceKey="YouTube" />
                <dnn:DnnComboBoxItem Value="videos" Text="videos" ResourceKey="videos" />
                <dnn:DnnComboBoxItem Value="dailymotion" Text="dailymotion" ResourceKey="dailymotion" />
                <dnn:DnnComboBoxItem Value="RTMPStreams" Text="RTMPStreams" ResourceKey="RTMPStreams" />
                <dnn:DnnComboBoxItem Value="SMIL" Text="SMIL" ResourceKey="SMIL" />
                <dnn:DnnComboBoxItem Value="LighttpdVideos" Text="LighttpdVideos" ResourceKey="LighttpdVideos" />
                <dnn:DnnComboBoxItem Value="BitGravityVideo" Text="BitGravityVideo" ResourceKey="BitGravityVideo" />
            </Items>
        </dnn:DnnComboBox>
</div>

<asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
   <Triggers>
        <asp:PostBackTrigger ControlID="btn_save" />
  </Triggers>
    <ContentTemplate>
     <div class="dnnFormItem" id="pc_video" runat="server">
        <dnn:label id="lbl_yourvideo" runat="server" ControlName="ParentTab" ResourceKey="YourVideo" Suffix=" :" />
     <asp:FileUpload ID="FileUpload2" runat="server" />
      <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ErrorMessage="This is not a Video File please check it" ValidationExpression="^.+(.flv|.mp4 |.3g2|.3gp |.aac |.f4b|.f4p|.f4v |.m4a |.m4v|.sdp|.vp6 |.mpg|.wma|.avi|.qt |.rm |.mov |.wmv)$" ControlToValidate="FileUpload2" /> 
      </div>
     <div class="dnnFormItem" id="pc_image" runat="server">
     <dnn:label id="lbl_videos" runat="server" ControlName="ParentTab" ResourceKey="Video_thum" Suffix=" :" />
     <asp:FileUpload ID="FileUpload1" runat="server" />      
      </div>
     </ContentTemplate>
    </asp:UpdatePanel>

<div class="dnnFormItem" id="you_video" runat="server">
        <dnn:label id="lbl_youtube" runat="server" ControlName="ParentTab" ResourceKey="YouTubeUrl" Suffix=" :" />
        <asp:TextBox ID="txt_youtube" runat="server" Text="" />
</div>

<div class="dnnFormItem" id="onl_video" runat="server">
        <dnn:label id="lbl_online" runat="server" ControlName="ParentTab" ResourceKey="OnlineUrl" Suffix=" :" />
        <asp:TextBox ID="txt_online" runat="server" Text="" />
</div>


<div class="dnnFormItem" id="dmv_video" runat="server">
        <dnn:label id="lbl_dailymotion" runat="server" ControlName="ParentTab" ResourceKey="dailymotions" Suffix=" :" />
        <asp:TextBox ID="txt_dailymotion" runat="server" Text="" />
</div>

<div class="dnnFormItem" id="rtm_video" runat="server">
        <dnn:label id="lbl_rtm" runat="server" ControlName="ParentTab" ResourceKey="RTMP" Suffix=" :" />
        <asp:TextBox ID="txt_rtmp" runat="server" Text="" />
</div>

<div class="dnnFormItem" id="smil_video" runat="server">
        <dnn:label id="lbl_smil" runat="server" ControlName="ParentTab" ResourceKey="SMILV" Suffix=" :" />
        <asp:TextBox ID="txt_smil" runat="server" Text="" />
</div>

<div class="dnnFormItem" id="lig_video" runat="server">
        <dnn:label id="lbl_lightpd" runat="server" ControlName="ParentTab" ResourceKey="Lightpd" Suffix=" :" />
       <asp:TextBox ID="txt_lightpd" runat="server" Text="" />
</div>

<div class="dnnFormItem" id="bit_video" runat="server">
        <dnn:label id="lbl_bitvideo" runat="server" ControlName="ParentTab" ResourceKey="BitGravity" Suffix=" :" />
        <asp:TextBox ID="txt_bitgvideo" runat="server" Text="" />
</div>

<div class="dnnFormItem" id="s_dvr" runat="server">
    <dnn:label id="lbl_dvr" runat="server" ControlName="ParentTab" ResourceKey="dvr" Suffix=" :" />
    <asp:CheckBox ID="ck_dvr" runat="server" />
</div>

<div class="dnnFormItem" id="s_hd" runat="server">
    <dnn:label id="lbl_hd" runat="server" ControlName="ParentTab" ResourceKey="hd" Suffix=" :" />
    <asp:TextBox ID="txt_hd" runat="server" Text="" />
</div>

<div class="dnnFormItem" id="s_streamer" runat="server">
    <dnn:label id="lbl_streamer" runat="server" ControlName="ParentTab" ResourceKey="streamer" Suffix=" :" />
    <asp:TextBox ID="txt_streamer" runat="server" Text="" />
    <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" SetFocusOnError="true"  ControlToValidate="txt_streamer" ErrorMessage="Please enter streamer url" Font-Bold="true" ForeColor="Red"></asp:RequiredFieldValidator>
</div>

<div class="dnnFormItem" id="s_token" runat="server">
    <dnn:label id="lbl_token" runat="server" ControlName="ParentTab" ResourceKey="token" Suffix=" :" />
    <asp:TextBox ID="txt_token" runat="server" Text="" />
</div>


<div class="dnnFormItem" id="thumbs" runat="server">   
     <dnn:label id="lbl_thumbs" runat="server" ControlName="ParentTab" ResourceKey="Thumb" Suffix=" :" />
     <asp:TextBox ID="txt_thumb" runat="server" Text=""></asp:TextBox>
     <asp:RegularExpressionValidator ID="RegularExpressionValidator2" runat="server" ErrorMessage="This is not a Image File please check it" ValidationExpression="^.+(.jpg|.jpeg|.gif|.png)$" ControlToValidate="txt_thumb" Font-Bold="true" ForeColor="Red"/> 
</div>

<div class="dnnFormItem" id="preview" runat="server">
    <dnn:label id="lbl_preview" runat="server" ControlName="ParentTab" ResourceKey="preview" Suffix=" :" />
    <asp:TextBox ID="txt_preview" runat="server" Text=""></asp:TextBox>
     <asp:RegularExpressionValidator ID="RegularExpressionValidator3" runat="server" ErrorMessage="This is not a Image File please check it" ValidationExpression="^.+(.jpg|.jpeg|.gif|.png)$" ControlToValidate="txt_preview" Font-Bold="true" ForeColor="Red"/> 
</div>


<!--
<div class="dnnFormItem" id="Div1" runat="server">
<dnn:label id="Label29" runat="server" ControlName="ParentTab" Text="Position" Suffix=" :" />
<asp:TextBox ID="txt_position" runat="server" Text="" />
</div> -->

<div class="dnnFormItem">
        <dnn:label id="Label26" runat="server" ControlName="ParentTab" ResourceKey="Category" Suffix=" :" />
        <dnn:DnnComboBox ID="comb_category" runat="server" AutoPostBack="true">
            <Items>
                <dnn:DnnComboBoxItem Value="Uncategorised" Text="Uncategorised" ResourceKey="Uncategorised" />
            </Items>
        </dnn:DnnComboBox>
</div>

        <!-- <div class="dnnFormItem">
        <dnn:label id="Label27" runat="server" ControlName="ParentTab" ResourceKey="Featured" Suffix=" :" />
		<asp:Checkbox ID="chk_featured" runat="server" Checked="false" />
        </div>-->

        <div class="dnnFormItem">
        <dnn:label id="Label28" runat="server" ControlName="ParentTab" ResourceKey="publish" Suffix=" :" />
		<asp:Checkbox ID="chk_publish" runat="server" Checked="true" />
        </div>
        <div class="dnnFormItem">
        <dnn:label id="Label30" runat="server" ControlName="ParentTab" ResourceKey="Description" Suffix=" :" />
        <asp:TextBox ID="txt_description" runat="server" TextMode="MultiLine" Rows="6" />
        </div>
</div>

 <asp:Button ID="btn_save" runat="server" Text="Save" OnClick="Video_Save_Click"/>
 <asp:Button ID="btn_update" runat="server" Text="Save Changes" OnClick="update_get_click"/>   
  <asp:Button ID="btn_cancel" runat="server" Text="Cancel" OnClick="canel_click"/>       

</asp:View>

<asp:View ID="View4" runat="server">
      <div id="view_cate_table" runat="server">
      
      <asp:TextBox ID="txt_search" runat="server" Text="" CssClass="txtbox" Width="400px" Height="20px"  BorderStyle="Solid" BorderColor="#CCCCCC" />&nbsp&nbsp
      <asp:ImageButton ID="btn_cate_go" runat="server" ToolTip="Go" ImageUrl="~/DesktopModules/Admin/HDWPlayer/Icons/Go.png" Width="17px" Height="17px" OnClick="go_cate_Click" />&nbsp&nbsp
      <asp:ImageButton ID="btn_cate_reset" runat="server" ToolTip="Reset" ImageUrl="~/DesktopModules/Admin/HDWPlayer/Icons/Reset.png" Width="18px" Height="18px" OnClick="reset_cate_Click" />
       <div id="c3">
     <asp:ImageButton ID="btn_cate_new" runat="server" ToolTip="New Category" ImageUrl="~/DesktopModules/Admin/HDWPlayer/Icons/New1.png" Width="28px" Height="28px" OnClick="new_cate_click" />
       <asp:ImageButton ID="btn_cate_publish" runat="server" ToolTip="Publish Category" ImageUrl="~/DesktopModules/Admin/HDWPlayer/Icons/Publish.png" Width="30px" Height="30px" OnClick="publish_cate_click" />
      <asp:ImageButton ID="btn_cate_unpublish" runat="server" ToolTip="UnPublish Category" ImageUrl="~/DesktopModules/Admin/HDWPlayer/Icons/UnPublish.png" Width="28px" Height="28px" OnClick="UNpublish_cate_click" />
      <asp:ImageButton ID="btn_cate_delete" runat="server" ToolTip="Delete Category" ImageUrl="~/DesktopModules/Admin/HDWPlayer/Icons/Delete.png" Width="27px" Height="26px" OnClick="delete_cate_click" />
      </div>
     <br /><br />
      <asp:GridView ID="GridView2"  CssClass="list" runat="server" DataKeyNames="SiNo" OnSelectedIndexChanged="sel"

    AutoGenerateColumns="False" DataSourceID="SqlDataSource3" Height="100%" 
              Width="100%" BackColor="#E1E1E1">
    <Columns>
     <asp:TemplateField HeaderText="#">
            <ItemTemplate>
                     <%#Container.DataItemIndex+1 %>
                </ItemTemplate>
                </asp:TemplateField>
         <asp:TemplateField HeaderText="" HeaderStyle-Width="50px">
         <ItemTemplate>
            <asp:CheckBox runat="server" ID="ck_delete" />
         </ItemTemplate>
      </asp:TemplateField>
        <asp:BoundField DataField="Category" HeaderText="Category" 
               SortExpression="Category" />
         <asp:BoundField DataField="Image" HeaderText="Image" 
             SortExpression="Image" ItemStyle-HorizontalAlign="Left" />
           <asp:BoundField DataField="Publish" HeaderText="Publish" 
               SortExpression="Publish" />
                <asp:ImageField DataImageUrlField="Image" HeaderText="Category Icon" ControlStyle-Width="60" ControlStyle-Height = "40">
            </asp:ImageField>
    </Columns>
    <HeaderStyle Height="30px" />
</asp:GridView>
</div>

<div id = "new_cate" runat="server">

<div class="dnnFormItem">
<dnn:label id="Label38" runat="server" ControlName="ParentTab" ResourceKey="CategoryName" Suffix=" :" />
<asp:TextBox ID="txt_catename" runat="server" Text="" />

</div>

<div class="dnnFormItem">
 <dnn:label id="lbl_cateimgname" runat="server" ControlName="ParentTab" ResourceKey="CategoryIcon" Suffix=" :" />
    <asp:TextBox ID="txt_imgcate" runat="server" Text=""></asp:TextBox>
     <asp:RegularExpressionValidator ID="RegularExpressionValidator5" runat="server" ErrorMessage="This is not a Image File please check it" ValidationExpression="^.+(.jpg|.jpeg|.gif|.png|.JPG|.JPEG|.GIF|.PNG)$" ControlToValidate="txt_imgcate" Font-Bold="true" ForeColor="Red"/> 
</div>


 <!-- <div class="dnnFormItem">
        <dnn:label id="Label40" runat="server" ControlName="ParentTab" ResourceKey="publish" Suffix=" :" />
		<asp:Checkbox ID="chk_publ" runat="server" Checked="false" />
 </div>  -->
 
 <div class="dnnFormItem">
 </div>
<asp:Button ID="btn_cate_save" runat="server" Text="Save" OnClick="save_cate_click"  />
<asp:Button ID="btn_cate_cancel" runat="server" Text="Cancel" OnClick="cancel_cate_click" />
 </div> 

</asp:View>

<asp:View ID="View5" runat="server">      
      <div id="c2">     
          <asp:ImageButton ID="ImageButton1" runat="server" ToolTip="Publish Gallery" ImageUrl="~/DesktopModules/Admin/HDWPlayer/Icons/Publish.png" Width="30px" Height="30px" OnClick="addgallery_click" />&nbsp
          <asp:ImageButton ID="ImageButton2" runat="server" ToolTip="UnPunlish Gallery" ImageUrl="~/DesktopModules/Admin/HDWPlayer/Icons/DeleteG.png" Width="30px" Height="30px" OnClick="removegallery_click" />
     </div>   
    <br /><br /><br />
    <asp:GridView ID="GridView3" runat="server" AutoGenerateColumns="False" DataKeyNames="SiNo" DataSourceID="SqlDataSource4" CssClass="list" Height="100%" 
              Width="100%" BackColor="#E1E1E1">
    <Columns>
     <asp:TemplateField HeaderText="#">
            <ItemTemplate>
                     <%#Container.DataItemIndex+1 %>
                </ItemTemplate>
                </asp:TemplateField>
         <asp:TemplateField HeaderText="" HeaderStyle-Width="50px">
         <ItemTemplate>
            <asp:CheckBox runat="server" ID="chk_gallery" />
         </ItemTemplate>
      </asp:TemplateField>
        <asp:BoundField DataField="Category" HeaderText="Category" 
            SortExpression="Category" />
        <asp:ImageField DataImageUrlField="Image" HeaderText="Category Icon" ControlStyle-Width="60" ControlStyle-Height = "40">
        </asp:ImageField>
        <asp:BoundField DataField="Gallery" HeaderText="Status" SortExpression="Gallery" />
    </Columns>
    <HeaderStyle Height="30px" />
</asp:GridView>   
</div>
</asp:View>

</asp:MultiView>
<asp:SqlDataSource ID="SqlDataSource2" runat="server" 
    ConnectionString="<%$ ConnectionStrings:SiteSqlServer %>"
    InsertCommand="INSERT INTO [MyPlayer] ([Title], [VideoType], [VideoList], [VideoURL], [Category], [Publish], [Description], [users], [thumb], [preview], [hd], [stream], [token], [dvr]) VALUES (@Title, @VideoType, @VideoList, @VideoURL, @Category, @Publish, @Description, @users, @thumb, @preview, @hd, @stream, @token, @dvr)"
    DeleteCommand="DELETE FROM [MyPlayer] WHERE [SINO] = @SINO"
    SelectCommand="SELECT [Title], [VideoType], [VideoList], [VideoURL], [Category], [Publish], [Description], [users], [thumb], [SINO], [preview], [hd], [stream], [token], [dvr] FROM [MyPlayer]"       
    
        UpdateCommand="UPDATE [MyPlayer] SET [Title] = @Title, [VideoType] = @VideoType, [VideoList] = @VideoList, [VideoURL] = @VideoURL, [Category] = @Category, [Publish] = @Publish, [Description] = @Description, [users] = @users, [thumb] = @thumb, [preview] = @preview, [hd] = @hd, [stream] = @stream, [token] = @token, [dvr] = @dvr WHERE [SINO] = @SINO">
    <DeleteParameters>
        <asp:Parameter Name="SINO" Type="Int32" />
    </DeleteParameters>
    <InsertParameters>
        <asp:Parameter Name="Title" Type="String" />
        <asp:Parameter Name="VideoType" Type="String" />
        <asp:Parameter Name="VideoList" Type="String" />
        <asp:Parameter Name="VideoURL" Type="String" />
        <asp:Parameter Name="Category" Type="String" />
        <asp:Parameter Name="Publish" Type="String" />
        <asp:Parameter Name="Description" Type="String" />
        <asp:Parameter Name="users" Type="String" />
        <asp:Parameter Name="thumb" Type="String" />
        <asp:Parameter Name="preview" Type="String" />
        <asp:Parameter Name="hd" Type="String" />
        <asp:Parameter Name="stream" Type="String" />
        <asp:Parameter Name="token" Type="String" />
        <asp:Parameter Name="dvr" Type="String" />
    </InsertParameters>
    <UpdateParameters>
        <asp:Parameter Name="Title" Type="String" />
        <asp:Parameter Name="VideoType" Type="String" />
        <asp:Parameter Name="VideoList" Type="String" />
        <asp:Parameter Name="VideoURL" Type="String" />
        <asp:Parameter Name="Category" Type="String" />
        <asp:Parameter Name="Publish" Type="String" />
        <asp:Parameter Name="Description" Type="String" />
        <asp:Parameter Name="users" Type="String" />
        <asp:Parameter Name="thumb" Type="String" />
        <asp:Parameter Name="preview" Type="String" />
        <asp:Parameter Name="hd" Type="String" />
        <asp:Parameter Name="stream" Type="String" />
        <asp:Parameter Name="token" Type="String" />
        <asp:Parameter Name="dvr" Type="String" />
        <asp:Parameter Name="SINO" Type="Int32" />
    </UpdateParameters>
    </asp:SqlDataSource>
<p>
    <asp:SqlDataSource ID="SqlDataSource3" runat="server" 
        ConnectionString="<%$ ConnectionStrings:SiteSqlServer %>" 
        InsertCommand="INSERT INTO [MyCategory] ([Category], [Image], [Publish], [Gallery]) VALUES (@Category, @Image, @Publish, @Gallery)"
        SelectCommand="SELECT * FROM [MyCategory]" 
        DeleteCommand="DELETE FROM [MyCategory] WHERE [SiNo] = @SiNo"   
        UpdateCommand="UPDATE [MyCategory] SET [Category] = @Category, [Image] = @Image, [Publish] = @Publish WHERE [SiNo] = @SiNo">
        <DeleteParameters>
            <asp:Parameter Name="SiNo" Type="Int32" />
        </DeleteParameters>
     <InsertParameters>
    <asp:Parameter Name="Category" Type="String"/>
    <asp:Parameter Name="Image" Type="String"/>
    <asp:Parameter Name="Publish" Type="String" />
    <asp:Parameter Name="Gallery" Type="String" />
    </InsertParameters>    
        
        <UpdateParameters>
            <asp:Parameter Name="Gallery" Type="String" />
            <asp:Parameter Name="Category" Type="String" />
            <asp:Parameter Name="Image" Type="String" />
            <asp:Parameter Name="Publish" Type="String" />
            <asp:Parameter Name="SiNo" Type="Int32" />
        </UpdateParameters>
        
        </asp:SqlDataSource>
</p>
    <p>
        <asp:SqlDataSource ID="SqlDataSource4" runat="server" 
            ConnectionString="<%$ ConnectionStrings:SiteSqlServer %>" 
            
            SelectCommand="SELECT [SiNo], [Category], [Image], [Gallery] FROM [MyCategory]">
        </asp:SqlDataSource>
        <asp:SqlDataSource ID="SqlDataSource5" runat="server" 
            ConnectionString="<%$ ConnectionStrings:SiteSqlServer %>" 
            DeleteCommand="DELETE FROM [MyGallery] WHERE [Sino] = @Sino" 
            InsertCommand="INSERT INTO [MyGallery] ([Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr], [Category]) VALUES (@Title, @VideoType, @VideoURL, @thumb, @preview, @hd, @stream, @token, @dvr, @Category)" 
            SelectCommand="SELECT * FROM [MyGallery]" 
            UpdateCommand="UPDATE [MyGallery] SET [Title] = @Title, [VideoType] = @VideoType, [VideoURL] = @VideoURL, [thumb] = @thumb, [preview] = @preview, [hd] = @hd, [stream] = @stream, [token] = @token, [dvr] = @dvr, [Category] = @Category WHERE [Sino] = @Sino">
            <DeleteParameters>
                <asp:Parameter Name="Sino" Type="Int32" />
            </DeleteParameters>
            <InsertParameters>
                <asp:Parameter Name="Title" Type="String" />
                <asp:Parameter Name="VideoType" Type="String" />
                <asp:Parameter Name="VideoURL" Type="String" />
                <asp:Parameter Name="thumb" Type="String" />
                <asp:Parameter Name="preview" Type="String" />
                <asp:Parameter Name="hd" Type="String" />
                <asp:Parameter Name="stream" Type="String" />
                <asp:Parameter Name="token" Type="String" />
                <asp:Parameter Name="dvr" Type="String" />
                <asp:Parameter Name="Category" Type="String" />
            </InsertParameters>
            <UpdateParameters>
                <asp:Parameter Name="Title" Type="String" />
                <asp:Parameter Name="VideoType" Type="String" />
                <asp:Parameter Name="VideoURL" Type="String" />
                <asp:Parameter Name="thumb" Type="String" />
                <asp:Parameter Name="preview" Type="String" />
                <asp:Parameter Name="hd" Type="String" />
                <asp:Parameter Name="stream" Type="String" />
                <asp:Parameter Name="token" Type="String" />
                <asp:Parameter Name="dvr" Type="String" />
                <asp:Parameter Name="Category" Type="String" />
                <asp:Parameter Name="Sino" Type="Int32" />
            </UpdateParameters>
        </asp:SqlDataSource>
</p>
   <style type="text/css">
                form {
	margin: 0;
	padding: 0;
}
table.form {
	width: 100%;
	border-collapse: collapse;
	margin-bottom: 20px;
}
table.form > tbody > tr > td:first-child {
	width: 200px;
}
table.form > tbody > tr > td {
	padding: 10px;
	color: #000000;
	border-bottom: 1px dotted #CCCCCC;
}
.list {
	border-collapse: collapse;
	width: 100%;
	border-top: 1px solid #DDDDDD;
	border-left: 1px solid #DDDDDD;
	margin-bottom: 20px;
	text-align: center;
	padding: 7px;
}
.list td {
	border-right: 1px solid #DDDDDD;
	border-bottom: 1px solid #DDDDDD;
}
.list thead td {
	background-color: #EFEFEF;
	padding: 0px 5px;
}
.list thead td a, .list thead td {
	text-decoration: none;
	color: #222222;
	font-weight: bold;
}
.list tbody td a {
	text-decoration: underline;
}
.list tbody td {
	vertical-align: middle;
	padding: 0px 5px;
	background: #FFFFFF;
}
.list tbody tr:hover td {
	background-color: #FFFFCB;
}
.list .left {
	text-align: left;
	padding: 7px;
}
.list .right {
	text-align: right;
	padding: 7px;
}
.list .center {
	text-align: center;
	padding: 7px;
}
.list .asc {
	padding-right: 15px;
	background: url('../image/asc.png') right center no-repeat;
}
.list .desc {
	padding-right: 15px;
	background: url('../image/desc.png') right center no-repeat;
}
.list tr.filter td, .list tr:hover.filter td {
	padding: 5px;
	background: #E7EFEF;
	
}
.ButtonAsLink{
   background-color:transparent;
   border:none;
   color:blue;
   cursor:pointer;
   text-decoration:underline;
   font-weight:bold
   padding: 0px;}
   
   #c2{ 
    float:right;
}
 #c3{ 
    float:right;
}
 #c4{ 
    float:right;
}
.txtbox
        {
            border-top-left-radius: 20px;
            border-top-right-radius: 20px;
            border-bottom-left-radius: 20px;
            border-bottom-right-radius: 20px;
        }
        
       
     .hidden
     {
         display:none;
         visibility:hidden;
     }
   </style>


